package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum SignInStatusEnum implements BaseEnum<Integer, SignInStatusEnum> {
    NORMAL(1,"正常签到"),
    UNUSUAL(0,"异常签到"),
    NO(3,"未签到");

    private Integer code;
    private String msg;

    SignInStatusEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return this.code;
    }
}
